[Plone-IT] Utilizzo di FRS, ATManagedFile, ExternalStorage

Antonio Sagliocco antonio.sagliocco a abstract.it
Mar 19 Feb 2008 10:13:42 UTC


Il giorno 19/feb/08, alle ore 09:55, Yuri ha scritto:

> selfesteem84 wrote:
>> Salve
>> Volevo sapere se qualcuno sapesse come installare ed utilizzare i  
>> prodotti
>> di Plone: FileRepositorySystem, ATManagedFile, ExternalStorage. Ho  
>> trovato
>> difficoltà nell'installarle, e non ho mai potuto usare questi  
>> prodotti. In
>> pratica:
>> 1) Per quanto riguarda FRS pur essendo un prodotto di plone, non  
>> esiste da
>> nessuna parte il pacchetto classico .tar.gz con all'interno tutta  
>> la roba, e
>> mi sono passato il tempo di scaricare ad uno ad uno ogni singolo file
>> ricostruendo tutti i path dal link che forniscono al sito della casa
>> produttrice del prodotto (http://dev.plone.org/collective/browser/ 
>> frs).
>>
>
> man svn :)
>
>> Tuttavia sconosco i metodi di installazione del prodotto, e quindi  
>> niente da
>> fare.
>> 2) Per quanto riguarda ATManagedFile ho letto che per l'installazione
>> occorre soddisfare le dipendenze, cioè occorre avere:
>> * Plone 2.0.4+
>> * CMF 1.4+
>> * Zope 2.7.0+
>> * CMFFormController 1.0.4
>> * Archetypes 1.3+
>> * CMFManagedFile 1.1.5
>> * ExternalFile-1.2.1-enfold-2
>> * normalizer-1.0.1
>> Che credo di aver soddisfatto ma non capisco cosa sbaglio  
>> nell'installazione
>> perchè nella classica interfaccina di aggiunta prodotti non compare  
>> nulla.
>> 3)Per quanto riguarda ExternalStorage, ho capito (o almeno credo) che
>> anzichè installare il prodotto in ISTANCE_HOME/Products va messo  
>> in /<doveèmessoplone>/Plone-2.5/lib/python/Products , quindi  
>> risulterà presente
>> tra i prodotti di zope, ecco e poi? ...buio totale non so più dove  
>> mettere
>> mano.
>>
>> Per aiutare chiunque mi voglia dare una mano comunico che uso Plone  
>> 2.5 su
>> Zope 2.9.4-final.
>>
>
> Utilizza FileSystemStorage per archetypes, assieme a AttachmentField  
> e PloneExFile, dovrebbero risolvere il tuo problema.
>
> Altrimenti puoi installare zodb 2.8 e usare plone.blob (credo si  
> chiami così) :)

ZODB 2.8 credo sia un pò vecchio :)
parli di ZODB 3.8 e di plone.app.blob.. ma non credo siano  
sufficientemente stabili da poter essere usati *tranquillamente*

Antonio

>
>
>> Grazie
>> Tommaso
>> ------------------------------------------------------------------------
>>
>> _______________________________________________
>> Plone-IT mailing list
>> Plone-IT a lists.plone.org
>> http://lists.plone.org/mailman/listinfo/plone-it
>> http://www.nabble.com/Plone---Italy-f21728.html
>
>
> _______________________________________________
> Plone-IT mailing list
> Plone-IT a lists.plone.org
> http://lists.plone.org/mailman/listinfo/plone-it
> http://www.nabble.com/Plone---Italy-f21728.html

-- 
Antonio Sagliocco - Security & Networking  
[antonio.sagliocco a abstract.it]
Abstract Open Solutions [ http://www.abstract.it ]
Mobile +39 320 8145331 Tel./Fax +39 081 0608213
PGP Public Key: http://www.abstract.it/gpg/antonio.sagliocco

(*)Please avoid sending me Word or PowerPoint attachments.
(*)See http://www.gnu.org/philosophy/no-word-attachments.html

-------------------------------------------------------------------------------------------------------------------------
Ai sensi del d.lgs. 196 del 30 giugno 2003, recante disposizioni per  
la tutela delle persone e di altri soggetti
rispetto al trattamento dei dati personali, si precisa che questa  
email è inviata unicamente ai destinatari sopra esposti,
con espressa diffida di leggerla, copiarla, diffonderla ed usarla  
senza autorizzazione. Se avete ricevuto questa email per
errore, vi preghiamo di distruggerla immediatamente e contattarci  
tramite uno dei recapiti sopra indicati.
--------------------------------------------------------------------------------------------------------------------------








Maggiori informazioni sulla lista Plone-IT